mysqlx-connector-python 8.3.0__py2.py3-none-any.whl

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
mysqlx/constants.py ADDED
@@ -0,0 +1,297 @@
1
+ # Copyright (c) 2016, 2023, Oracle and/or its affiliates.
2
+ #
3
+ # This program is free software; you can redistribute it and/or modify
4
+ # it under the terms of the GNU General Public License, version 2.0, as
5
+ # published by the Free Software Foundation.
6
+ #
7
+ # This program is also distributed with certain software (including
8
+ # but not limited to OpenSSL) that is licensed under separate terms,
9
+ # as designated in a particular file or component or in included license
10
+ # documentation. The authors of MySQL hereby grant you an
11
+ # additional permission to link the program and your derivative works
12
+ # with the separately licensed software that they have included with
13
+ # MySQL.
14
+ #
15
+ # Without limiting anything contained in the foregoing, this file,
16
+ # which is part of MySQL Connector/Python, is also subject to the
17
+ # Universal FOSS Exception, version 1.0, a copy of which can be found at
18
+ # http://oss.oracle.com/licenses/universal-foss-exception.
19
+ #
20
+ # This program is distributed in the hope that it will be useful, but
21
+ # WITHOUT ANY WARRANTY; without even the implied warranty of
22
+ # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
23
+ # See the GNU General Public License, version 2.0, for more details.
24
+ #
25
+ # You should have received a copy of the GNU General Public License
26
+ # along with this program; if not, write to the Free Software Foundation, Inc.,
27
+ # 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
28
+
29
+ """Constants."""
30
+
31
+ from enum import Enum
32
+
33
+
34
+ class Auth(Enum):
35
+ """Enum to identify the authentication mechanisms."""
36
+
37
+ PLAIN = "plain"
38
+ MYSQL41 = "mysql41"
39
+ SHA256_MEMORY = "sha256_memory"
40
+
41
+
42
+ class Compression(Enum):
43
+ """Enum to identify the compression options."""
44
+
45
+ PREFERRED = "preferred"
46
+ REQUIRED = "required"
47
+ DISABLED = "disabled"
48
+
49
+
50
+ class LockContention(Enum):
51
+ """Enum to identify the row locking modes."""
52
+
53
+ DEFAULT = 0
54
+ NOWAIT = 1
55
+ SKIP_LOCKED = 2
56
+
57
+
58
+ class SSLMode(Enum):
59
+ """Enum to identify the SSL modes."""
60
+
61
+ REQUIRED = "required"
62
+ DISABLED = "disabled"
63
+ VERIFY_CA = "verify_ca"
64
+ VERIFY_IDENTITY = "verify_identity"
65
+
66
+
67
+ # Compression algorithms and aliases
68
+ COMPRESSION_ALGORITHMS = {
69
+ "deflate": "deflate_stream",
70
+ "deflate_stream": "deflate_stream",
71
+ "lz4": "lz4_message",
72
+ "lz4_message": "lz4_message",
73
+ "zstd": "zstd_stream",
74
+ "zstd_stream": "zstd_stream",
75
+ }
76
+
77
+ TLS_VERSIONS = ["TLSv1", "TLSv1.1", "TLSv1.2", "TLSv1.3"]
78
+ SUPPORTED_TLS_VERSIONS = ["TLSv1.2", "TLSv1.3"]
79
+ DEPRECATED_TLS_VERSIONS = ["TLSv1", "TLSv1.1"]
80
+
81
+ # TLS v1.0 cipher suites IANI to OpenSSL name translation
82
+ TLSV1_CIPHER_SUITES = {
83
+ "TLS_RSA_WITH_NULL_MD5": "NULL-MD5",
84
+ "TLS_RSA_WITH_NULL_SHA": "NULL-SHA",
85
+ "TLS_RSA_WITH_RC4_128_MD5": "RC4-MD5",
86
+ "TLS_RSA_WITH_RC4_128_SHA": "RC4-SHA",
87
+ "TLS_RSA_WITH_IDEA_CBC_SHA": "IDEA-CBC-SHA",
88
+ "TLS_RSA_WITH_3DES_EDE_CBC_SHA": "DES-CBC3-SHA",
89
+ "TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": "Not implemented.",
90
+ "TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": "Not implemented.",
91
+ "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": "DHE-DSS-DES-CBC3-SHA",
92
+ "TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": "DHE-RSA-DES-CBC3-SHA",
93
+ "TLS_DH_anon_WITH_RC4_128_MD5": "ADH-RC4-MD5",
94
+ "TLS_DH_anon_WITH_3DES_EDE_CBC_SHA": "ADH-DES-CBC3-SHA",
95
+ # AES cipher suites from RFC3268, extending TLS v1.0
96
+ "TLS_RSA_WITH_AES_128_CBC_SHA": "AES128-SHA",
97
+ "TLS_RSA_WITH_AES_256_CBC_SHA": "AES256-SHA",
98
+ "TLS_DH_DSS_WITH_AES_128_CBC_SHA": "DH-DSS-AES128-SHA",
99
+ "TLS_DH_DSS_WITH_AES_256_CBC_SHA": "DH-DSS-AES256-SHA",
100
+ "TLS_DH_RSA_WITH_AES_128_CBC_SHA": "DH-RSA-AES128-SHA",
101
+ "TLS_DH_RSA_WITH_AES_256_CBC_SHA": "DH-RSA-AES256-SHA",
102
+ "TLS_DHE_DSS_WITH_AES_128_CBC_SHA": "DHE-DSS-AES128-SHA",
103
+ "TLS_DHE_DSS_WITH_AES_256_CBC_SHA": "DHE-DSS-AES256-SHA",
104
+ "TLS_DHE_RSA_WITH_AES_128_CBC_SHA": "DHE-RSA-AES128-SHA",
105
+ "TLS_DHE_RSA_WITH_AES_256_CBC_SHA": "DHE-RSA-AES256-SHA",
106
+ "TLS_DH_anon_WITH_AES_128_CBC_SHA": "ADH-AES128-SHA",
107
+ "TLS_DH_anon_WITH_AES_256_CBC_SHA": "ADH-AES256-SHA",
108
+ # Camellia cipher suites from RFC4132, extending TLS v1.0
109
+ "TLS_RSA_WITH_CAMELLIA_128_CBC_SHA": "CAMELLIA128-SHA",
110
+ "TLS_RSA_WITH_CAMELLIA_256_CBC_SHA": "CAMELLIA256-SHA",
111
+ "TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA": "DH-DSS-CAMELLIA128-SHA",
112
+ "TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA": "DH-DSS-CAMELLIA256-SHA",
113
+ "TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA": "DH-RSA-CAMELLIA128-SHA",
114
+ "TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA": "DH-RSA-CAMELLIA256-SHA",
115
+ "TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA": "DHE-DSS-CAMELLIA128-SHA",
116
+ "TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA": "DHE-DSS-CAMELLIA256-SHA",
117
+ "TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA": "DHE-RSA-CAMELLIA128-SHA",
118
+ "TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA": "DHE-RSA-CAMELLIA256-SHA",
119
+ "TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA": "ADH-CAMELLIA128-SHA",
120
+ "TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA": "ADH-CAMELLIA256-SHA",
121
+ # SEED cipher suites from RFC4162, extending TLS v1.0
122
+ "TLS_RSA_WITH_SEED_CBC_SHA": "SEED-SHA",
123
+ "TLS_DH_DSS_WITH_SEED_CBC_SHA": "DH-DSS-SEED-SHA",
124
+ "TLS_DH_RSA_WITH_SEED_CBC_SHA": "DH-RSA-SEED-SHA",
125
+ "TLS_DHE_DSS_WITH_SEED_CBC_SHA": "DHE-DSS-SEED-SHA",
126
+ "TLS_DHE_RSA_WITH_SEED_CBC_SHA": "DHE-RSA-SEED-SHA",
127
+ "TLS_DH_anon_WITH_SEED_CBC_SHA": "ADH-SEED-SHA",
128
+ # GOST cipher suites from draft-chudov-cryptopro-cptls, extending TLS v1.0
129
+ "TLS_GOSTR341094_WITH_28147_CNT_IMIT": "GOST94-GOST89-GOST89",
130
+ "TLS_GOSTR341001_WITH_28147_CNT_IMIT": "GOST2001-GOST89-GOST89",
131
+ "TLS_GOSTR341094_WITH_NULL_GOSTR3411": "GOST94-NULL-GOST94",
132
+ "TLS_GOSTR341001_WITH_NULL_GOSTR3411": "GOST2001-NULL-GOST94",
133
+ }
134
+
135
+ # TLS v1.1 cipher suites IANI to OpenSSL name translation
136
+ TLSV1_1_CIPHER_SUITES = TLSV1_CIPHER_SUITES
137
+
138
+ # TLS v1.2 cipher suites IANI to OpenSSL name translation
139
+ TLSV1_2_CIPHER_SUITES = {
140
+ "TLS_RSA_WITH_NULL_SHA256": "NULL-SHA256",
141
+ "TLS_RSA_WITH_AES_128_CBC_SHA256": "AES128-SHA256",
142
+ "TLS_RSA_WITH_AES_256_CBC_SHA256": "AES256-SHA256",
143
+ "TLS_RSA_WITH_AES_128_GCM_SHA256": "AES128-GCM-SHA256",
144
+ "TLS_RSA_WITH_AES_256_GCM_SHA384": "AES256-GCM-SHA384",
145
+ "TLS_DH_RSA_WITH_AES_128_CBC_SHA256": "DH-RSA-AES128-SHA256",
146
+ "TLS_DH_RSA_WITH_AES_256_CBC_SHA256": "DH-RSA-AES256-SHA256",
147
+ "TLS_DH_RSA_WITH_AES_128_GCM_SHA256": "DH-RSA-AES128-GCM-SHA256",
148
+ "TLS_DH_RSA_WITH_AES_256_GCM_SHA384": "DH-RSA-AES256-GCM-SHA384",
149
+ "TLS_DH_DSS_WITH_AES_128_CBC_SHA256": "DH-DSS-AES128-SHA256",
150
+ "TLS_DH_DSS_WITH_AES_256_CBC_SHA256": "DH-DSS-AES256-SHA256",
151
+ "TLS_DH_DSS_WITH_AES_128_GCM_SHA256": "DH-DSS-AES128-GCM-SHA256",
152
+ "TLS_DH_DSS_WITH_AES_256_GCM_SHA384": "DH-DSS-AES256-GCM-SHA384",
153
+ "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": "DHE-RSA-AES128-SHA256",
154
+ "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": "DHE-RSA-AES256-SHA256",
155
+ "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": "DHE-RSA-AES128-GCM-SHA256",
156
+ "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": "DHE-RSA-AES256-GCM-SHA384",
157
+ "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": "DHE-DSS-AES128-SHA256",
158
+ "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": "DHE-DSS-AES256-SHA256",
159
+ "TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": "DHE-DSS-AES128-GCM-SHA256",
160
+ "TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": "DHE-DSS-AES256-GCM-SHA384",
161
+ "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": "ECDHE-RSA-AES128-SHA256",
162
+ "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": "ECDHE-RSA-AES256-SHA384",
163
+ "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": "ECDHE-RSA-AES128-GCM-SHA256",
164
+ "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": "ECDHE-RSA-AES256-GCM-SHA384",
165
+ "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": "ECDHE-ECDSA-AES128-SHA256",
166
+ "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": "ECDHE-ECDSA-AES256-SHA384",
167
+ "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": "ECDHE-ECDSA-AES128-GCM-SHA256",
168
+ "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": "ECDHE-ECDSA-AES256-GCM-SHA384",
169
+ "TLS_DH_anon_WITH_AES_128_CBC_SHA256": "ADH-AES128-SHA256",
170
+ "TLS_DH_anon_WITH_AES_256_CBC_SHA256": "ADH-AES256-SHA256",
171
+ "TLS_DH_anon_WITH_AES_128_GCM_SHA256": "ADH-AES128-GCM-SHA256",
172
+ "TLS_DH_anon_WITH_AES_256_GCM_SHA384": "ADH-AES256-GCM-SHA384",
173
+ "RSA_WITH_AES_128_CCM": "AES128-CCM",
174
+ "RSA_WITH_AES_256_CCM": "AES256-CCM",
175
+ "DHE_RSA_WITH_AES_128_CCM": "DHE-RSA-AES128-CCM",
176
+ "DHE_RSA_WITH_AES_256_CCM": "DHE-RSA-AES256-CCM",
177
+ "RSA_WITH_AES_128_CCM_8": "AES128-CCM8",
178
+ "RSA_WITH_AES_256_CCM_8": "AES256-CCM8",
179
+ "DHE_RSA_WITH_AES_128_CCM_8": "DHE-RSA-AES128-CCM8",
180
+ "DHE_RSA_WITH_AES_256_CCM_8": "DHE-RSA-AES256-CCM8",
181
+ "ECDHE_ECDSA_WITH_AES_128_CCM": "ECDHE-ECDSA-AES128-CCM",
182
+ "ECDHE_ECDSA_WITH_AES_256_CCM": "ECDHE-ECDSA-AES256-CCM",
183
+ "ECDHE_ECDSA_WITH_AES_128_CCM_8": "ECDHE-ECDSA-AES128-CCM8",
184
+ "ECDHE_ECDSA_WITH_AES_256_CCM_8": "ECDHE-ECDSA-AES256-CCM8",
185
+ # ARIA cipher suites from RFC6209, extending TLS v1.2
186
+ "TLS_RSA_WITH_ARIA_128_GCM_SHA256": "ARIA128-GCM-SHA256",
187
+ "TLS_RSA_WITH_ARIA_256_GCM_SHA384": "ARIA256-GCM-SHA384",
188
+ "TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256": "DHE-RSA-ARIA128-GCM-SHA256",
189
+ "TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384": "DHE-RSA-ARIA256-GCM-SHA384",
190
+ "TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256": "DHE-DSS-ARIA128-GCM-SHA256",
191
+ "TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384": "DHE-DSS-ARIA256-GCM-SHA384",
192
+ "TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256": "ECDHE-ECDSA-ARIA128-GCM-SHA256",
193
+ "TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384": "ECDHE-ECDSA-ARIA256-GCM-SHA384",
194
+ "TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256": "ECDHE-ARIA128-GCM-SHA256",
195
+ "TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384": "ECDHE-ARIA256-GCM-SHA384",
196
+ "TLS_PSK_WITH_ARIA_128_GCM_SHA256": "PSK-ARIA128-GCM-SHA256",
197
+ "TLS_PSK_WITH_ARIA_256_GCM_SHA384": "PSK-ARIA256-GCM-SHA384",
198
+ "TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256": "DHE-PSK-ARIA128-GCM-SHA256",
199
+ "TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384": "DHE-PSK-ARIA256-GCM-SHA384",
200
+ "TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256": "RSA-PSK-ARIA128-GCM-SHA256",
201
+ "TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384": "RSA-PSK-ARIA256-GCM-SHA384",
202
+ # Camellia HMAC-Based cipher suites from RFC6367, extending TLS v1.2
203
+ "TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256": "ECDHE-ECDSA-CAMELLIA128-SHA256",
204
+ "TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384": "ECDHE-ECDSA-CAMELLIA256-SHA384",
205
+ "TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256": "ECDHE-RSA-CAMELLIA128-SHA256",
206
+ "TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384": "ECDHE-RSA-CAMELLIA256-SHA384",
207
+ # Pre-shared keying (PSK) cipher suites",
208
+ "PSK_WITH_NULL_SHA": "PSK-NULL-SHA",
209
+ "DHE_PSK_WITH_NULL_SHA": "DHE-PSK-NULL-SHA",
210
+ "RSA_PSK_WITH_NULL_SHA": "RSA-PSK-NULL-SHA",
211
+ "PSK_WITH_RC4_128_SHA": "PSK-RC4-SHA",
212
+ "PSK_WITH_3DES_EDE_CBC_SHA": "PSK-3DES-EDE-CBC-SHA",
213
+ "PSK_WITH_AES_128_CBC_SHA": "PSK-AES128-CBC-SHA",
214
+ "PSK_WITH_AES_256_CBC_SHA": "PSK-AES256-CBC-SHA",
215
+ "DHE_PSK_WITH_RC4_128_SHA": "DHE-PSK-RC4-SHA",
216
+ "DHE_PSK_WITH_3DES_EDE_CBC_SHA": "DHE-PSK-3DES-EDE-CBC-SHA",
217
+ "DHE_PSK_WITH_AES_128_CBC_SHA": "DHE-PSK-AES128-CBC-SHA",
218
+ "DHE_PSK_WITH_AES_256_CBC_SHA": "DHE-PSK-AES256-CBC-SHA",
219
+ "RSA_PSK_WITH_RC4_128_SHA": "RSA-PSK-RC4-SHA",
220
+ "RSA_PSK_WITH_3DES_EDE_CBC_SHA": "RSA-PSK-3DES-EDE-CBC-SHA",
221
+ "RSA_PSK_WITH_AES_128_CBC_SHA": "RSA-PSK-AES128-CBC-SHA",
222
+ "RSA_PSK_WITH_AES_256_CBC_SHA": "RSA-PSK-AES256-CBC-SHA",
223
+ "PSK_WITH_AES_128_GCM_SHA256": "PSK-AES128-GCM-SHA256",
224
+ "PSK_WITH_AES_256_GCM_SHA384": "PSK-AES256-GCM-SHA384",
225
+ "DHE_PSK_WITH_AES_128_GCM_SHA256": "DHE-PSK-AES128-GCM-SHA256",
226
+ "DHE_PSK_WITH_AES_256_GCM_SHA384": "DHE-PSK-AES256-GCM-SHA384",
227
+ "RSA_PSK_WITH_AES_128_GCM_SHA256": "RSA-PSK-AES128-GCM-SHA256",
228
+ "RSA_PSK_WITH_AES_256_GCM_SHA384": "RSA-PSK-AES256-GCM-SHA384",
229
+ "PSK_WITH_AES_128_CBC_SHA256": "PSK-AES128-CBC-SHA256",
230
+ "PSK_WITH_AES_256_CBC_SHA384": "PSK-AES256-CBC-SHA384",
231
+ "PSK_WITH_NULL_SHA256": "PSK-NULL-SHA256",
232
+ "PSK_WITH_NULL_SHA384": "PSK-NULL-SHA384",
233
+ "DHE_PSK_WITH_AES_128_CBC_SHA256": "DHE-PSK-AES128-CBC-SHA256",
234
+ "DHE_PSK_WITH_AES_256_CBC_SHA384": "DHE-PSK-AES256-CBC-SHA384",
235
+ "DHE_PSK_WITH_NULL_SHA256": "DHE-PSK-NULL-SHA256",
236
+ "DHE_PSK_WITH_NULL_SHA384": "DHE-PSK-NULL-SHA384",
237
+ "RSA_PSK_WITH_AES_128_CBC_SHA256": "RSA-PSK-AES128-CBC-SHA256",
238
+ "RSA_PSK_WITH_AES_256_CBC_SHA384": "RSA-PSK-AES256-CBC-SHA384",
239
+ "RSA_PSK_WITH_NULL_SHA256": "RSA-PSK-NULL-SHA256",
240
+ "RSA_PSK_WITH_NULL_SHA384": "RSA-PSK-NULL-SHA384",
241
+ "ECDHE_PSK_WITH_RC4_128_SHA": "ECDHE-PSK-RC4-SHA",
242
+ "ECDHE_PSK_WITH_3DES_EDE_CBC_SHA": "ECDHE-PSK-3DES-EDE-CBC-SHA",
243
+ "ECDHE_PSK_WITH_AES_128_CBC_SHA": "ECDHE-PSK-AES128-CBC-SHA",
244
+ "ECDHE_PSK_WITH_AES_256_CBC_SHA": "ECDHE-PSK-AES256-CBC-SHA",
245
+ "ECDHE_PSK_WITH_AES_128_CBC_SHA256": "ECDHE-PSK-AES128-CBC-SHA256",
246
+ "ECDHE_PSK_WITH_AES_256_CBC_SHA384": "ECDHE-PSK-AES256-CBC-SHA384",
247
+ "ECDHE_PSK_WITH_NULL_SHA": "ECDHE-PSK-NULL-SHA",
248
+ "ECDHE_PSK_WITH_NULL_SHA256": "ECDHE-PSK-NULL-SHA256",
249
+ "ECDHE_PSK_WITH_NULL_SHA384": "ECDHE-PSK-NULL-SHA384",
250
+ "PSK_WITH_CAMELLIA_128_CBC_SHA256": "PSK-CAMELLIA128-SHA256",
251
+ "PSK_WITH_CAMELLIA_256_CBC_SHA384": "PSK-CAMELLIA256-SHA384",
252
+ "DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256": "DHE-PSK-CAMELLIA128-SHA256",
253
+ "DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384": "DHE-PSK-CAMELLIA256-SHA384",
254
+ "RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256": "RSA-PSK-CAMELLIA128-SHA256",
255
+ "RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384": "RSA-PSK-CAMELLIA256-SHA384",
256
+ "ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256": "ECDHE-PSK-CAMELLIA128-SHA256",
257
+ "ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384": "ECDHE-PSK-CAMELLIA256-SHA384",
258
+ "PSK_WITH_AES_128_CCM": "PSK-AES128-CCM",
259
+ "PSK_WITH_AES_256_CCM": "PSK-AES256-CCM",
260
+ "DHE_PSK_WITH_AES_128_CCM": "DHE-PSK-AES128-CCM",
261
+ "DHE_PSK_WITH_AES_256_CCM": "DHE-PSK-AES256-CCM",
262
+ "PSK_WITH_AES_128_CCM_8": "PSK-AES128-CCM8",
263
+ "PSK_WITH_AES_256_CCM_8": "PSK-AES256-CCM8",
264
+ "DHE_PSK_WITH_AES_128_CCM_8": "DHE-PSK-AES128-CCM8",
265
+ "DHE_PSK_WITH_AES_256_CCM_8": "DHE-PSK-AES256-CCM8",
266
+ # ChaCha20-Poly1305 cipher suites, extending TLS v1.2
267
+ "TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256": "ECDHE-RSA-CHACHA20-POLY1305",
268
+ "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256": "ECDHE-ECDSA-CHACHA20-POLY1305",
269
+ "TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256": "DHE-RSA-CHACHA20-POLY1305",
270
+ "TLS_PSK_WITH_CHACHA20_POLY1305_SHA256": "PSK-CHACHA20-POLY1305",
271
+ "TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256": "ECDHE-PSK-CHACHA20-POLY1305",
272
+ "TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256": "DHE-PSK-CHACHA20-POLY1305",
273
+ "TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256": "RSA-PSK-CHACHA20-POLY1305",
274
+ }
275
+
276
+ # TLS v1.3 cipher suites IANI to OpenSSL name translation
277
+ TLSV1_3_CIPHER_SUITES = {
278
+ "TLS_AES_128_GCM_SHA256": "TLS_AES_128_GCM_SHA256",
279
+ "TLS_AES_256_GCM_SHA384": "TLS_AES_256_GCM_SHA384",
280
+ "TLS_CHACHA20_POLY1305_SHA256": "TLS_CHACHA20_POLY1305_SHA256",
281
+ "TLS_AES_128_CCM_SHA256": "TLS_AES_128_CCM_SHA256",
282
+ "TLS_AES_128_CCM_8_SHA256": "TLS_AES_128_CCM_8_SHA256",
283
+ }
284
+
285
+ TLS_CIPHER_SUITES = {
286
+ "TLSv1": TLSV1_CIPHER_SUITES,
287
+ "TLSv1.1": TLSV1_1_CIPHER_SUITES,
288
+ "TLSv1.2": TLSV1_2_CIPHER_SUITES,
289
+ "TLSv1.3": TLSV1_3_CIPHER_SUITES,
290
+ }
291
+
292
+ OPENSSL_CS_NAMES = {
293
+ "TLSv1": TLSV1_CIPHER_SUITES.values(),
294
+ "TLSv1.1": TLSV1_1_CIPHER_SUITES.values(),
295
+ "TLSv1.2": TLSV1_2_CIPHER_SUITES.values(),
296
+ "TLSv1.3": TLSV1_3_CIPHER_SUITES.values(),
297
+ }